ECHO OFF
CLS
ECHO                 PC-LEARN Installation program 
ECHO   ---------------------------------------------------------------
ECHO   PC-LEARN must first be installed prior to running the program.
echo   Installation SOURCE disk should now be in the A: floppy drive.
echo   If you install to standard 360K floppies you will need TWO 
ECHO   FORMATTED FLOPPIES PRIOR TO PROCEEDING. Hard drive installation 
echo   is preferred method (uses advanced high speed color menu.)
echo   ---------------------------------------------------------------
ECHO   Press  A  if installing to HIGH DENSITY FLOPPY (720K, 1.44M, 1.2M)
ECHO   Press  B  if installing to HARD DRIVE (preferred option)
echo   Press  C  if installing to TWO standard LOW DENSITY 360k floppies 
ECHO   Press  Q  to quit/abort process
ECHO   ---------------------------------------------------------------
inkey 81,Q81,q81,C67,c67,B66,b66,A65,a65/E
IF ERRORLEVEL 81 GOTO abort
IF ERRORLEVEL 67 GOTO LABELC
IF ERRORLEVEL 66 GOTO LABELB
IF ERRORLEVEL 65 GOTO LABELA
:labelc
CLS
echo ------------------------------------------------------------
ECHO Installation will produce TWO floppy diskettes on TARGET
echo drive B: Next step assumes SOURCE drive A: contains files 
echo to be unpacked and TARGET drive B: contains a blank formatted 
echo diskette of standard 360K size. Have a second diskette ready.
echo ------------------------------------------------------------
pause
cls
part1 b:\
part4 b:\
b:
ren go1.bat go.bat
del go2.bat
a:
CLS
echo --------------------------------------------------------------
ECHO Remove diskette from B: drive, label it:
echo "PC-LEARN PART ONE, start with:   GO     at DOS prompt"
echo When you have finished labelling the first diskette,
ECHO insert second formatted blank floppy diskette into
echo drive B: and press a key to proceed installing part two.
echo --------------------------------------------------------------
pause
cls
part2 b:\
part4 b:\
b:
ren go2.bat go.bat
del go1.bat
a:
CLS
echo ---------------------------------------------------------------
ECHO Remove diskette from B: drive, label it:
echo "PC-LEARN PART TWO, start with:   GO     at DOS prompt"
echo When you have finished labelling the second diskette,
echo press a key to end installation process and return to DOS.
echo --------------------------------------------------------------
pause
goto quit
:LABELB
CLS
ECHO ---------------------------------------------------------------
ECHO Hard drive installation will prepare a directory named \PCL on 
echo your hard drive and install files to that area. Installation 
echo program assumes drive A: contains PC-LEARN and is the SOURCE 
echo DRIVE. Hard drive will be the TARGET drive to which files will 
echo be unpacked. If you have an old copy of PC-LEARN on your hard 
echo drive which is important to you, you may wish to quit/abort
echo and backup that older copy for archival purposes first.
ECHO ---------------------------------------------------------------
echo What hard drive letter will you install TO as your target?
ECHO ---------------------------------------------------------------
echo press  C  for  Hard drive C:
echo press  D  for  Hard drive D:
echo press  E  for  Hard drive E:
echo press  F  for  Hard drive F:
echo press  G  for  Hard drive G:
echo press  Q  to quit/abort
inkey 81,Q81,q81,G71,g71,F70,f70,E69,e69,D68,d68,C67,c67/E
IF ERRORLEVEL 81 GOTO abort
IF ERRORLEVEL 71 goto hdg
IF ERRORLEVEL 70 GOTO hdf
IF ERRORLEVEL 69 GOTO hde
IF ERRORLEVEL 68 GOTO hdd
IF ERRORLEVEL 67 GOTO hdc
:hdc
cls
C:
CD\
MD PCL
ECHO If a previous version of the PC-LEARN package is already
ECHO installed, answer yes to all prompts to overwrite old files 
ECHO with the newer data files.
A:
part1 c:\pcl\
part2 c:\pcl\
part3 c:\pcl\
CLS
ECHO Installation is now complete. 
echo ------------------------------------------------------------
echo Press  Q  to quit. To run PC-LEARN change to your hard 
echo drive subdirectory C:\PCL then   PCL    to start!
echo To do this, issue the following commands when you see
echo the DOS prompt:   
echo      C:        Then press return/enter key
echo      CD\PCL    Then press return/enter key                         
echo      PCL       Then press return/enter key                        
echo  Jot down these instructions for future use!
echo ----------------------------------------------------------
inkey 81,Q81,q81/E
IF ERRORLEVEL 81 GOTO quit
GOTO QUIT
:hdd
cls
D:
CD\
MD PCL
ECHO If a previous version of the PC-LEARN package is already
ECHO installed, answer yes to all prompts to overwrite old files 
ECHO with the newer data files.
A:
part1 d:\pcl\
part2 d:\pcl\
part3 d:\pcl\
CLS
ECHO Installation is now complete. 
echo ------------------------------------------------------------
echo Press  Q  to quit. To run PC-LEARN change to your hard 
echo drive subdirectory D:\PCL then   PCL    to start!
echo To do this, issue the following commands when you see
echo the DOS prompt:   
echo      D:        Then press return/enter key   
echo      CD\PCL    Then press return/enter key   
echo      PCL       Then press return/enter key   
echo  Jot down these instructions for future use!
echo ----------------------------------------------------------
inkey 81,Q81,q81/E
IF ERRORLEVEL 81 GOTO quit
GOTO QUIT
:hde
cls
E:
CD\
MD PCL
ECHO If a previous version of the PC-LEARN package is already
ECHO installed, answer yes to all prompts to overwrite old files 
ECHO with the newer data files.
A:
part1 e:\pcl\
part2 e:\pcl\
part3 e:\pcl\
CLS
ECHO Installation is now complete. 
echo ------------------------------------------------------------
echo Press  Q  to quit. To run PC-LEARN change to your hard 
echo drive subdirectory E:\PCL then   PCL    to start!
echo To do this, issue the following commands when you see
echo the DOS prompt:   
echo      E:        Then press return/enter key   
echo      CD\PCL    Then press return/enter key   
echo      PCL       Then press return/enter key   
echo  Jot down these instructions for future use!
echo ----------------------------------------------------------
inkey 81,Q81,q81/E
IF ERRORLEVEL 81 GOTO quit
GOTO QUIT
:hdf
cls
F:
CD\
MD PCL
ECHO If a previous version of the PC-LEARN package is already
ECHO installed, answer yes to all prompts to overwrite old files 
ECHO with the newer data files.
A:
part1 f:\pcl\
part2 f:\pcl\
part3 f:\pcl\
CLS
ECHO Installation is now complete. 
echo ------------------------------------------------------------
echo Press  Q  to quit. To run PC-LEARN change to your hard 
echo drive subdirectory F:\PCL then   PCL    to start!
echo To do this, issue the following commands when you see
echo the DOS prompt:   
echo      F:        Then press return/enter key   
echo      CD\PCL    Then press return/enter key   
echo      PCL       Then press return/enter key   
echo  Jot down these instructions for future use!
echo ----------------------------------------------------------
inkey 81,Q81,q81/E
IF ERRORLEVEL 81 GOTO quit
GOTO QUIT
:hdg
cls
G:
CD\
MD PCL
ECHO If a previous version of the PC-LEARN package is already
ECHO installed, answer yes to all prompts to overwrite old files 
ECHO with the newer data files.
A:
part1 g:\pcl\
part2 g:\pcl\
part3 g:\pcl\
CLS
ECHO Installation is now complete. 
echo ------------------------------------------------------------
echo Press  Q  to quit. To run PC-LEARN change to your hard 
echo drive subdirectory G:\PCL then   PCL    to start!
echo To do this, issue the following commands when you see
echo the DOS prompt:   
echo      G:        Then press return/enter key   
echo      CD\PCL    Then press return/enter key   
echo      PCL       Then press return/enter key   
echo  Jot down these instructions for future use!
echo ----------------------------------------------------------
inkey 81,Q81,q81/E
IF ERRORLEVEL 81 GOTO quit
GOTO QUIT
:LABELA
CLS
echo ------------------------------------------------------------
ECHO Installation will produce ONE high density floppy diskette on 
echo TARGET drive B: or drive D: which MUST be one of following the 
echo size(s): 720K, 1.44M, 1.2M. Next step assumes SOURCE drive A: 
echo contains files to be unpacked and TARGET drive B: or D: 
echo contains a blank formatted diskette LARGER than 360K.
echo ------------------------------------------------------------
echo press  B  for Target Floppy drive B:
echo press  D  for Target Floppy drive D:
echo press  Q  to quit/abort
echo ------------------------------------------------------------
inkey 81,Q81,q81,D68,d68,B66,b66/E
IF ERRORLEVEL 81 GOTO abort
IF ERRORLEVEL 68 GOTO fd
IF ERRORLEVEL 66 GOTO fb
:fb
part1 b:\
part2 b:\
part3 b:\
CLS
echo --------------------------------------------------------------
ECHO Remove diskette from B: drive, label it:
echo "PC-LEARN, start with:   PCL     at DOS prompt"
echo --------------------------------------------------------------
pause
goto quit
:fd
cls
part1 d:\
part2 d:\
part3 d:\
CLS
echo --------------------------------------------------------------
ECHO Remove diskette from D: drive, label it:
echo "PC-LEARN, start with:   PCL     at DOS prompt"
echo --------------------------------------------------------------
pause
goto quit
:QUIT
CLS
ECHO            Installation of program now complete.
ECHO      Be sure to register - support the shareware concept.
ECHO   Two bonus disks will be sent by mail to those registering!
GOTO END
:ABORT
cls
ECHO  Installation process aborted
:END

